import axios from '@/utils/axios'
//导入导出
export default {
    /**
    * 获取导入来源
    */
    getExcelConfig(data) {
        return axios.get('/xiaoshi/common/getExcelConfig', {data})
    },
    /**
    * 添加导入任务
    */
    addImportTask(data) {
        return axios.post('/xiaoshi/importTask/addImportTask', data)
    },
    /**
    * 查询导入任务
    */
    queryImportTask(data) {
        return axios.post('/xiaoshi/importTask/queryImportTask', data)
    },

    /**
    * 任务的暂停、继续、取消
    */
    updateImportTaskState(params) {
        return axios.get('/xiaoshi/importTask/updateImportTaskState', {params})
    },

    /**
    * 检索专利
    */
    patentSelect(data) {
        return axios.post('/xiaoshi/patentStar/select', data)
    },
   /**
    * 获取报告模板
    */
    queryTempleByType(data) {
        return axios.post('/xiaoshi/template/queryTempleByType', data)
    },
    /**
    * 获取报告模板
    */
    exportReport(params) {
        return axios.get('/xiaoshi/reportDocument/exportReport', {params})
    },
}